# Poco::Manifest

# class Iterator

Library: Foundation
Package: SharedLibrary
Header: Poco/Manifest.h

## Description

The Manifest's very own iterator class.

## Member Summary

Member Functions: operator !=, operator *, operator ++, operator =, operator ==, operator->

## Constructors

### Iterator

Iterator(
const typename MetaMap::const_iterator & it
);

### Iterator

Iterator(
const Iterator & it
);

## Destructor

### ~Iterator

~Iterator();

## Member Functions

### operator !=

inline bool operator != (
const Iterator & it
) const;

### operator *

inline const Meta * operator * () const;

### operator ++

Iterator & operator ++ ();

### operator ++

Iterator operator ++ (
int
);

### operator =

Iterator & operator = (
const Iterator & it
);

### operator ==

inline bool operator == (
const Iterator & it
) const;

### operator->

inline const Meta * operator-> () const;